import ImportProcessor from "../ImportProcessor";
import NameManager from "../NameManager";
import TokenProcessor from "../TokenProcessor";
import RootTransformer from "./RootTransformer";
import Transformer from "./Transformer";
export default class JSXTransformer extends Transformer {
    readonly rootTransformer: RootTransformer;
    readonly tokens: TokenProcessor;
    readonly importProcessor: ImportProcessor;
    readonly nameManager: NameManager;
    readonly filePath: string | null;
    lastLineNumber: number;
    lastIndex: number;
    filenameVarName: string | null;
    constructor(rootTransformer: RootTransformer, tokens: TokenProcessor, importProcessor: ImportProcessor, nameManager: NameManager, filePath: string | null);
    process(): boolean;
    getPrefixCode(): string;
    /**
     * Lazily calculate line numbers to avoid unneeded work. We assume this is always called in
     * increasing order by index.
     */
    getLineNumberForIndex(index: number): number;
    getFilenameVarName(): string;
    processProps(firstTokenStart: number): void;
    processStringPropValue(): void;
    /**
     * Process the first part of a tag, before any props.
     */
    processTagIntro(): void;
    processChildren(): void;
    processChildTextElement(): void;
    processJSXTag(): void;
}
