"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const types_1 = require("../../sucrase-babylon/tokenizer/types");
const Transformer_1 = require("./Transformer");
class NumericSeparatorTransformer extends Transformer_1.default {
    constructor(tokens) {
        super();
        this.tokens = tokens;
    }
    process() {
        if (this.tokens.matches1(types_1.types.num)) {
            const code = this.tokens.currentTokenCode();
            if (code.includes("_")) {
                this.tokens.replaceToken(code.replace(/_/g, ""));
                return true;
            }
        }
        return false;
    }
}
exports.default = NumericSeparatorTransformer;
