"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const types_1 = require("../../sucrase-babylon/tokenizer/types");
const Transformer_1 = require("./Transformer");
class OptionalCatchBindingTransformer extends Transformer_1.default {
    constructor(tokens, nameManager) {
        super();
        this.tokens = tokens;
        this.nameManager = nameManager;
    }
    process() {
        if (this.tokens.matches2(types_1.types._catch, types_1.types.braceL)) {
            this.tokens.copyToken();
            this.tokens.appendCode(` (${this.nameManager.claimFreeName("e")})`);
            return true;
        }
        return false;
    }
}
exports.default = OptionalCatchBindingTransformer;
